//
//  ConfirmationScreenViewController.m
//  Tutor NOW
//
//  Created by Ryan Matsumoto on 11/21/14.
//  Copyright (c) 2014 Tutor NOW. All rights reserved.
//

#import "ConfirmationScreenViewController.h"

@interface ConfirmationScreenViewController ()

@end

@implementation ConfirmationScreenViewController
@synthesize mapView = _mapView;
@synthesize mapViewTutor = _mapViewTutor;

- (void)viewDidLoad {
    [super viewDidLoad];
    [self.mapView.delegate self];
    [self.mapViewTutor.delegate self];
    CLLocationCoordinate2D loc = CLLocationCoordinate2DMake(37.428763, -122.170780);
    MKCoordinateRegion region = MKCoordinateRegionMakeWithDistance(loc, 500, 500);
    [self.mapView setRegion:region animated:YES];
    [self.mapViewTutor setRegion:region animated:YES];
    
    MKPointAnnotation *annotationPoint = [[MKPointAnnotation alloc] init];
    annotationPoint.coordinate = self.mapView.centerCoordinate;
    annotationPoint.title = @"Tutoring location";
    annotationPoint.subtitle = @"Meet Josephine here";
    [_mapView addAnnotation:annotationPoint];
    
    MKPointAnnotation *annotationPointTutor = [[MKPointAnnotation alloc] init];
    annotationPointTutor.coordinate = self.mapViewTutor.centerCoordinate;
    annotationPointTutor.title = @"Tutoring location";
    annotationPointTutor.subtitle = @"Meet Josephine here";
    [_mapViewTutor addAnnotation:annotationPointTutor];
}

- (void)mapView:(MKMapView *)mapView didUpdateUserLocation:(MKUserLocation *) userLocation
{
    CLLocationCoordinate2D loc = [userLocation coordinate];
    MKCoordinateRegion region = MKCoordinateRegionMakeWithDistance(loc, 1000, 1000);
    [self.mapView setRegion:region animated:YES];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
- (IBAction)callJosephine:(id)sender {
    NSString *phoneNumber = [NSString stringWithFormat:@"telprompt://6503301906"];
    [[UIApplication sharedApplication] openURL:[NSURL URLWithString:phoneNumber]];
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
