//
//  ReviewScreenViewController.m
//  Tutor NOW
//
//  Created by Ryan Matsumoto on 12/1/14.
//  Copyright (c) 2014 Tutor NOW. All rights reserved.
//

#import "ReviewScreenViewController.h"

@interface ReviewScreenViewController ()

@property (weak, nonatomic) IBOutlet UITextView *comments;

@end

@implementation ReviewScreenViewController
@synthesize stars = _stars;

- (void)viewDidLoad {
    [super viewDidLoad];
    [self.comments setDelegate:self];
    [self.comments setReturnKeyType:UIReturnKeyDone];
    // Do any additional setup after loading the view.
}

/*- (BOOL)textViewShouldReturn:(UITextView *)textView {
    [textView resignFirstResponder];
    return YES;
} */

- (BOOL)textView:(UITextView *)textView shouldChangeTextInRange:(NSRange)range replacementText:(NSString *)text {
    
    if([text isEqualToString:@"\n"]) {
        [textView resignFirstResponder];
        return NO;
    }
    
    return YES;
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)starsTouched:(id)sender {
    [_stars setBackgroundImage:[UIImage imageNamed:@"Five Stars"] forState: UIControlStateNormal];
}

- (IBAction)molecularBiologyTouched:(id)sender {
    [_molecularBiology setBackgroundImage:[UIImage imageNamed:@"Molecular Biology 2"] forState: UIControlStateNormal];
}

- (IBAction)RTPCRTouched:(id)sender {
    [_RTPCR setBackgroundImage:[UIImage imageNamed:@"RT-PCR 2"] forState: UIControlStateNormal];
}


/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
